searchData={"items":[{"type":"module","title":"WeightedRandom","doc":"Module to take random elements from enumerable based on their weights.","ref":"WeightedRandom.html"},{"type":"function","title":"WeightedRandom.create_searcher/1","doc":"Turn enumerable of {element, weight} to structure optimised for search (take_* operations).","ref":"WeightedRandom.html#create_searcher/1"},{"type":"function","title":"WeightedRandom.take_n/2","doc":"Take N elements from enumerable of {element, weight}\nor from structure returned by create_searcher/1.","ref":"WeightedRandom.html#take_n/2"},{"type":"function","title":"WeightedRandom.take_one/1","doc":"Take one element from enumerable of {element, weight}\nor from structure returned by create_searcher/1.","ref":"WeightedRandom.html#take_one/1"},{"type":"type","title":"WeightedRandom.element/0","doc":"","ref":"WeightedRandom.html#t:element/0"},{"type":"type","title":"WeightedRandom.enumerable/1","doc":"","ref":"WeightedRandom.html#t:enumerable/1"},{"type":"type","title":"WeightedRandom.searcher/0","doc":"","ref":"WeightedRandom.html#t:searcher/0"},{"type":"type","title":"WeightedRandom.weight/0","doc":"","ref":"WeightedRandom.html#t:weight/0"},{"type":"module","title":"WeightedRandom.SearchTable","doc":"Search table maps value ranges to some result (ex. score).\nExample of such table: [{:neg_inf, 0}, {-30, 4}, {-20, 8}, {-10, 10}, {10, 7}, {20, 0}]\nIt will give such results with 'search' function:\n-50 -> 0\n-30 -> 0\n-29 -> 4\n-15 -> 8\n-10 -> 8\n0 -> 10\n10 -> 7\n15 -> 7\n30 -> 0","ref":"WeightedRandom.SearchTable.html"},{"type":"function","title":"WeightedRandom.SearchTable.compile/1","doc":"Compile search table into structure optimised for quick search.","ref":"WeightedRandom.SearchTable.html#compile/1"},{"type":"function","title":"WeightedRandom.SearchTable.decompile/1","doc":"","ref":"WeightedRandom.SearchTable.html#decompile/1"},{"type":"function","title":"WeightedRandom.SearchTable.search/2","doc":"Search for value in ranges.","ref":"WeightedRandom.SearchTable.html#search/2"},{"type":"function","title":"Examples - WeightedRandom.SearchTable.search/2","doc":"iex> SearchTable.search([{:neg_inf, 1}, {0, 5}], 0)\n    5\n\n    iex> SearchTable.search([{:neg_inf, 1}, {0, 5}], -9)\n    1\n\n    iex> SearchTable.search([{:neg_inf, 1}, {0, 5}], 3)\n    5\n\n    iex> SearchTable.search([{:neg_inf, 1}, {-7, 5}, {7, 3}], -7)\n    1\n\n    iex> SearchTable.search([{:neg_inf, 1}, {-7, 5}, {7, 3}], 0)\n    5\n\n    iex> SearchTable.search([{:neg_inf, 1}, {-7, 5}, {7, 3}], 7)\n    3\n\n    iex> SearchTable.search([{:neg_inf, 1}, {-7, 5}, {7, 3}], 10)\n    3","ref":"WeightedRandom.SearchTable.html#search/2-examples"},{"type":"type","title":"WeightedRandom.SearchTable.t/0","doc":"","ref":"WeightedRandom.SearchTable.html#t:t/0"}],"content_type":"text/markdown","producer":{"name":"ex_doc","version":[48,46,51,51,46,48]}}